#!/bin/bash
set -e

CONTAINER_NAME="update-ui"
IMAGE_NAME="update-ui:latest"
PORT="8080"

docker stop $CONTAINER_NAME 2>/dev/null || true
docker rm $CONTAINER_NAME 2>/dev/null || true

docker build -t $IMAGE_NAME .

docker run -d \
  --name $CONTAINER_NAME \
  -p $PORT:8080 \
  --read-only \
  --tmpfs /tmp \
  --cap-drop ALL \
  --security-opt no-new-privileges \
  $IMAGE_NAME

echo "✅ Update-UI läuft unter http://localhost:$PORT"
